summaryrefslogtreecommitdiffstats
path: root/docs
diff options
context:
space:
mode:
authorTakeshi ISHII <2170248+mtei@users.noreply.github.com>2021-10-16 17:31:09 +0900
committerGitHub <noreply@github.com>2021-10-16 17:31:09 +0900
commiteddb206369e78ee0c34fab8ce64f5d3bab9e1b13 (patch)
treec333ec8ffb5510bbaedbc500d9a7666a1c9b79f6 /docs
parent9e2e7737823e86612c3a90b485650e349cd251ea (diff)
add docs/ja/ja_doc_status.sh (#14402)
Diffstat (limited to 'docs')
-rw-r--r--docs/ja/ja_doc_status.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/docs/ja/ja_doc_status.sh b/docs/ja/ja_doc_status.sh
new file mode 100644
index 0000000000..3dfbbd2bc6
--- /dev/null
+++ b/docs/ja/ja_doc_status.sh
@@ -0,0 +1,34 @@
+#! /bin/sh
+#
+# Script to display the Japanese translation status of documents
+#
+if [ ! -d docs/ja ]; then
+ echo "'docs/ja' not found."
+ echo "do:"
+ echo " cd \$(QMK_TOP)"
+ echo " ./docs/ja/ja_doc_status.sh"
+ exit 1
+fi
+
+en_docs=`cd docs;ls -1 [a-z]*.md`
+ja_docs=`cd docs/ja;ls -1 [a-z]*.md`
+en_count=`echo $en_docs | wc -w`
+ja_count=`echo $ja_docs | wc -w`
+echo "English documents $en_count files."
+echo "Japanese documents $ja_count files."
+
+echo "Files that have not been translated yet:"
+for docfile in $en_docs
+do
+ if [ ! -f docs/ja/$docfile ]; then
+ wc docs/$docfile
+ fi
+done | sort
+echo "Files that have not been updated yet:"
+grep --no-filename "^[ ]*git diff" docs/ja/*.md | while read cmd
+do
+ cline=`echo $cmd | sh | wc -l`
+ if [ $cline -gt 0 ]; then
+ echo "$cline $cmd"
+ fi
+done | sort